<?php
session_start(); 
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

     header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	  
extract($_POST);
 $id_cd=$listacd;
$continuar=0;
$gastos=0;
$entradas=0;
$salidas=0;
$efectivo=0;
$prod=array();
  function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
	function regresames($mes){

	   switch($mes) 



				{

					case '01': $mesletra="Enero"; $diaf=31; break;

					case '02': $mesletra="Febrero"; $diaf=28; break;

					case '03': $mesletra="Marzo"; $diaf=31; break;

					case '04': $mesletra="Abril"; $diaf=30; break;

					case '05': $mesletra="Mayo"; $diaf=31; break;

					case '06': $mesletra="Junio"; $diaf=30; break;

					case '07': $mesletra="Julio"; $diaf=31; break;

					case '08': $mesletra="Agosto"; $diaf=31; break;

					case '09': $mesletra="Septiembre"; $diaf=30; break;

					case '10': $mesletra="Octubre"; $diaf=31; break;

					case '11': $mesletra="Noviembre"; $diaf=30; break;

					case '12': $mesletra="Diciembre"; $diaf=31; break;

				}	

	return $mesletra;}

	$mesletra=regresames($fecha);

	
 $qcc15 = "SELECT nombre FROM usuarios_ci WHERE idusuarios_ci = \"$id_cd\" ";
           $ccc15 = mysqli_query($conexion, $qcc15) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc5 = mysqli_fetch_row($ccc15);
  
           $nombreci=$rrc5[0];
	

	/*
$qp32 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp32 = mysqli_query($conexion, $qp32) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp32 = mysqli_fetch_object($cp32);	
	$nomentrega = $rp32->nombre;
 
$qPP = "select id_prod, nombreProd, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

*/

echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Reporte de caja del mes de $mesletra $ano</b></font><br><br>
CD: <b>$id_cd</b> Encargado:<b>$nombreci</b> <br><br>
";

$qPP = "select sum(cantidad) as cant, sum(puntos) as ptos, sum(efectivo) as ef, sum(deposito) as de, sum(tarjeta) as ta, sum(regalias) as re, sum(voucher) as vo, sum(porpagar) as pp from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where fechat between '$ano-$fecha-01' and '$ano-$fecha-31' and usuarios_ci_idusuarios_ci=$id_cd ";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
			
	<font size=\"+1\"><b>Resumen de ventas:</b></font><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <th>Cantidad</th><th>Puntos</th><th>Efectivo</th><th>Deposito</th><th>Tarjeta</th><th>Regs</th>
	<th>Voucher</th><th>X Pagar</th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
$efectivo=$objetoPP->ef;
	echo "<tr>
			 <td align=\"center\">$ $objetoPP->cant</td>
			 <td align=\"center\">$objetoPP->ptos</td>
			 <td align=\"center\">$ $objetoPP->ef</td>
			 <td align=\"center\">$ $objetoPP->de</td>
			 <td align=\"center\">$ $objetoPP->ta</td>
			 <td align=\"center\">$objetoPP->re</td>
			 <td align=\"center\">$objetoPP->vo</td>
			 <td align=\"center\">$objetoPP->pp</td>
           </tr> ";
			

		    
}
	
   
   
   echo"</table><br>";
}
 
 $qcc1= "select sum(total) from dineros where fecha_g between '$ano-$fecha-01' and '$ano-$fecha-31' and id_cd=$id_cd and tipo_g=1";
	
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
          
  
if(mysqli_affected_rows($conexion))
{
	 $gastos=$rrc[0];	echo "<center><font size=\"+1\">Gastos del Periodo<b> $ $gastos </b></font><br>";

   
}
 $qcc2= "select sum(total) from dineros where fecha_g between '$ano-$fecha-01' and '$ano-$fecha-31' and id_cd=$id_cd and tipo_g=2";
	
           $ccc2 = mysqli_query($conexion, $qcc2) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc2 = mysqli_fetch_row($ccc2);
  
          
  
if(mysqli_affected_rows($conexion))
{
	 $entradas=$rrc2[0];	echo "<br><center><font size=\"+1\">Entradas del Periodo<b> $ $entradas </b></font><br>";

   
}


	$qPP = "select autorizo, sum(total) as total from dineros where fecha_g between '$ano-$fecha-01' and '$ano-$fecha-31' and id_cd=$id_cd and tipo_g=3 group by autorizo order by autorizo desc";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><br><font size=\"+1\">Resumen de salidas de efectivo</font>
	<br><table border=\"1\" align=\"center\"><tr><th>Recibido por:</th><th>Cantidad:</th>
	</tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$salidas+=$objetoPP->total;
	echo "<tr>
		
			 <td align=\"center\">$objetoPP->autorizo</td> <td align=\"center\">$ $objetoPP->total</td>
			
		
			
           </tr>";

		    
}
	
   
   
   echo"<tr><td align=\"center\"><b>Total</b></td> <td align=\"center\"><b>$ $salidas</b></td></tr></table><br>";
   
   
   
   
}

$final=$efectivo+$entradas-$gastos-$salidas;
$final=redondear($final);
echo"
<font size=\"+1\"><b>Resumen Global</b></font><br>
<table border=\"1\" width=\"600\" align=\"center\">
<tr><td>Inicial en caja</td><td><b>N / D</b></td><td>Ventas Efectivo</td><td><b>$ $efectivo</b></td><td>Entradas Efectivo</td><td><b>$ $entradas</b></td></tr>
<tr><td>Total Gastos</td><td><b>-$ $gastos</b></td><td>Salidas Efectivo</td><td><b>-$ $salidas</b></td><td>Saldo Final</td><td><b>$ $final</b></td></tr></table>
<br><form name=\"Agrega\" action=\"cajaanalitico.php\" method=\"post\">
<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Reporte anal&iacute;tico del mes\" />
<input type=hidden name=elmesr value=$mesletra /><input type=hidden name=centro value=$id_cd />
<input type=hidden name=elano value=$ano /><input type=hidden name=elmes value=$fecha />

  </form><hr>
 
<br>Relaci&oacute;n de cortes de caja";


 $q2 = "SELECT cantidad, fechac, horac, observaciones FROM cortecaja WHERE  fechac between '$ano-$fecha-01' and '$ano-$fecha-31' and id_cd='".$id_cd."'";
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  if(mysqli_affected_rows($conexion))
   {
  echo"<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
			<th>Fecha Corte</th><th>Hora</th><th>Saldo Final</th><th>Observaciones</th><th></th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
 $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];

echo"<form name=\"busca\" action=\"infocaja.php\" target=\"_blank\" method=\"post\">
<tr>";
  
echo"<td>$a1</td><td>$a2</td><td align=\"center\"><b>$ $a0</b></td><td>$a3</td><td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Ver Reporte\" /></td></tr>
<input type=hidden name=fecha value='$a1' />
	<input type=hidden name=centro value=$id_cd />
	
		  </form>";
	}echo"</table>";
                                             }
 									   
	
	

?>

